import '../../../../platform/instantiation/common/instantiation.js';
import '../../../../base/common/path.js';
import '../../../../base/common/platform.js';
class NoOpWorkspaceTagsService {
    getTags() {
        return Promise.resolve({});
    }
    async getTelemetryWorkspaceId(workspace, state) {
        return undefined;
    }
    getHashedRemotesFromUri(workspaceUri, stripEndingDotGit) {
        return Promise.resolve([]);
    }
}
export { NoOpWorkspaceTagsService };
